6.0.0-git
2021-01-18

[#3383] hidden/notoolbar apps still show in sidebar Options menu
Summary hidden/notoolbar apps still show in sidebar Options menu
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 2. Medium
Owners
Requester eric.rostetter (at) physics (dot) utexas (dot) edu
Created 2006-02-01 (5465 days ago)
Due
Updated 2006-02-02 (5464 days ago)
Assigned
Resolved 2006-02-02 (5464 days ago)
Milestone
Patch No

History
2006-02-02 22:56:20 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
This worked already fine with 'hidden', and I fixed it to work with 
'notoolbar' too.
2006-02-01 20:12:09 Eric Rostetter Comment #2 Reply to this comment
Here's a patch to disable the Options entry if the status is notoolbar...

Seems to work for me.  FRAMEWORK_3 version.





Index: sidebar.php

===================================================================

RCS file: /repository/horde/services/portal/sidebar.php,v

retrieving revision 1.4.2.11

diff -r1.4.2.11 sidebar.php

159a160
                 $params['status'] == 'notoolbar' ||
2006-02-01 20:08:49 Eric Rostetter Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ hidden/notoolbar apps still show in sidebar Options menu
Queue ⇒ Horde Framework Packages
Reply to this comment
I've installed chora, but I don't want people to see it in the menus.   
I've tried setting the

status to either "hidden" or "notoolbar" both of which stop it from 
showing in the menu

as itself.  However, in both cases, it still shows up in the sidebar's 
"Options" menu.



I would think that when we set the app as hidden/notoolbar, it 
probably shouldn't show

up in the Options menu, no?  I would settle for this being done for 
either hidden, or

notoolbar; it doesn't have to be for both.  In fact, it might make a 
lot of sense to have

only one act this way, so people could then configure it either way to 
get their desired

result...

Saved Queries